<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__functions__common" kind="group">
    <compoundname>group_tcpwm_functions_common</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1gad05735d2bac0673f2ed1ed5f9be8d142" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_Enable_Multiple</definition>
        <argsstring>(TCPWM_Type *base, uint32_t counters)</argsstring>
        <name>Cy_TCPWM_Enable_Multiple</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Enables the counter(s) in the TCPWM block. </para>        </briefdescription>
        <detaileddescription>
<para>Multiple blocks can be started simultaneously.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>A bit field representing each counter in the TCPWM block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />enable<sp />counters<sp />#1,<sp />#5<sp />and<sp />#6<sp />in<sp />the<sp />TCPWM0</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Multiple<sp />counters<sp />will<sp />be<sp />enabled<sp />simultaneously<sp />using</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />MY_TCPWM_CNT_MULT_MASK<sp />(multiple<sp />bit<sp />masks<sp />ORed<sp />together).</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(5UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(6UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_MULT_MASK<sp /><sp />(uint32_t)((1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_1)<sp />|\</highlight></codeline>
<codeline><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_5)<sp />|\</highlight></codeline>
<codeline><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_6))</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gad05735d2bac0673f2ed1ed5f9be8d142">Cy_TCPWM_Enable_Multiple</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MULT_MASK);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />These<sp />counters<sp />are<sp />configured<sp />to<sp />generate<sp />signals<sp />that<sp />have<sp />a<sp />phase</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />dependency<sp />to<sp />each<sp />other.<sp />These<sp />must<sp />all<sp />be<sp />enabled<sp />at<sp />the<sp />same<sp />time</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />to<sp />preserve<sp />this<sp />phase<sp />relationship.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gabeb6819a4ac18f04f943a70c44b2bbb9">Cy_TCPWM_TriggerStart</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MULT_MASK);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="749" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="738" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="469" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga6e078155360694264c99b405ae127fd3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_Disable_Multiple</definition>
        <argsstring>(TCPWM_Type *base, uint32_t counters)</argsstring>
        <name>Cy_TCPWM_Disable_Multiple</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Disables the counter(s) in the TCPWM block. </para>        </briefdescription>
        <detaileddescription>
<para>Multiple TCPWM can be disabled simultaneously.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>A bit field representing each counter in the TCPWM block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />disable<sp />counters<sp />#1,<sp />#5<sp />and<sp />#6<sp />in<sp />the<sp />TCPWM0</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(5UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(6UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_MULT_MASK<sp /><sp />(uint32_t)((1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_1)<sp />|\</highlight></codeline>
<codeline><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_5)<sp />|\</highlight></codeline>
<codeline><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_6))</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga6e078155360694264c99b405ae127fd3">Cy_TCPWM_Disable_Multiple</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MULT_MASK);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="780" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="769" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="470" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1gabeb6819a4ac18f04f943a70c44b2bbb9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerStart</definition>
        <argsstring>(TCPWM_Type *base, uint32_t counters)</argsstring>
        <name>Cy_TCPWM_TriggerStart</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Triggers a software start on the selected TCPWMs. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>A bit field representing each counter in the TCPWM block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />enable<sp />counters<sp />#1,<sp />#5<sp />and<sp />#6<sp />in<sp />the<sp />TCPWM0</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Multiple<sp />counters<sp />will<sp />be<sp />enabled<sp />simultaneously<sp />using</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />MY_TCPWM_CNT_MULT_MASK<sp />(multiple<sp />bit<sp />masks<sp />ORed<sp />together).</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(5UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(6UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_MULT_MASK<sp /><sp />(uint32_t)((1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_1)<sp />|\</highlight></codeline>
<codeline><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_5)<sp />|\</highlight></codeline>
<codeline><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_6))</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gad05735d2bac0673f2ed1ed5f9be8d142">Cy_TCPWM_Enable_Multiple</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MULT_MASK);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />These<sp />counters<sp />are<sp />configured<sp />to<sp />generate<sp />signals<sp />that<sp />have<sp />a<sp />phase</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />dependency<sp />to<sp />each<sp />other.<sp />These<sp />must<sp />all<sp />be<sp />enabled<sp />at<sp />the<sp />same<sp />time</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />to<sp />preserve<sp />this<sp />phase<sp />relationship.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gabeb6819a4ac18f04f943a70c44b2bbb9">Cy_TCPWM_TriggerStart</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MULT_MASK);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="810" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="799" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="471" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga8f4ab67e3946d84d77b54e0375eb0e48" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerReloadOrIndex</definition>
        <argsstring>(TCPWM_Type *base, uint32_t counters)</argsstring>
        <name>Cy_TCPWM_TriggerReloadOrIndex</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Triggers a software reload event (or index in QuadDec mode). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>A bit field representing each counter in the TCPWM block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />trigger<sp />a<sp />software<sp />reload<sp />event<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />This<sp />causes<sp />the<sp />reloading<sp />of<sp />the<sp />counter<sp />register<sp />with<sp />the<sp />period<sp />value.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_MASK<sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_NUM)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga8f4ab67e3946d84d77b54e0375eb0e48">Cy_TCPWM_TriggerReloadOrIndex</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MASK);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="840" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="829" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="472" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga4515b7f271f25914e7e9050cb4055663" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerStopOrKill</definition>
        <argsstring>(TCPWM_Type *base, uint32_t counters)</argsstring>
        <name>Cy_TCPWM_TriggerStopOrKill</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Triggers a stop in the Timer Counter mode, or a kill in the PWM mode. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>A bit field representing each counter in the TCPWM block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />kill<sp />3<sp />PWM<sp />signals</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />(PWM<sp />runs<sp />in<sp />\ref<sp />CY_TCPWM_PWM_STOP_ON_KILL<sp />mode)<sp />at<sp />the<sp />same<sp />time</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />as<sp />they<sp />are<sp />all<sp />used<sp />e.g.<sp />to<sp />drive<sp />an<sp />RGB<sp />LED.<sp />So<sp />there<sp />will<sp />be<sp />a<sp />clean</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />transition<sp />from<sp />white<sp />light<sp />to<sp />no<sp />light.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(5UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(6UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_MULT_MASK<sp /><sp />(uint32_t)((1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_1)<sp />|\</highlight></codeline>
<codeline><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_5)<sp />|\</highlight></codeline>
<codeline><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_6))</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga4515b7f271f25914e7e9050cb4055663">Cy_TCPWM_TriggerStopOrKill</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MULT_MASK);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Then<sp />continue<sp />to<sp />operate<sp />from<sp />the<sp />point<sp />they<sp />have<sp />been<sp />stopped.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gabeb6819a4ac18f04f943a70c44b2bbb9">Cy_TCPWM_TriggerStart</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MULT_MASK);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="870" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="859" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="473" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga0e247b9e0af1462eb0846775a9445ccf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerCaptureOrSwap</definition>
        <argsstring>(TCPWM_Type *base, uint32_t counters)</argsstring>
        <name>Cy_TCPWM_TriggerCaptureOrSwap</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counters</declname>
        </param>
        <briefdescription>
<para>Triggers a Capture in the Timer Counter mode, and a Swap in the PWM mode. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>counters</parametername>
</parameternamelist>
<parameterdescription>
<para>A bit field representing each counter in the TCPWM block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />trigger<sp />software<sp />capture<sp />events<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Note:<sp />the<sp />counter<sp />should<sp />run<sp />in<sp />the<sp />Capture<sp />Mode.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_MASK<sp /><sp />(1UL<sp />&lt;&lt;<sp />MY_TCPWM_CNT_NUM)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga0e247b9e0af1462eb0846775a9445ccf">Cy_TCPWM_TriggerCaptureOrSwap</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MASK);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />after<sp />some<sp />time<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga0e247b9e0af1462eb0846775a9445ccf">Cy_TCPWM_TriggerCaptureOrSwap</ref>(TCPWM0,<sp />MY_TCPWM_CNT_MASK);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />we<sp />can<sp />get<sp />the<sp />latest<sp />captured<sp />value</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />(captured<sp />during<sp />the<sp />second<sp />call<sp />of<sp />Cy_TCPWM_TriggerCaptureOrSwap)</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />capture<sp />=<sp /><ref kindref="member" refid="group__group__tcpwm__functions__counter_1ga53321a824ba298d75d8bed089bfb4595">Cy_TCPWM_Counter_GetCapture0Val</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Also<sp />the<sp />previous<sp />captured<sp />value</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />(captured<sp />during<sp />the<sp />first<sp />call<sp />of<sp />Cy_TCPWM_TriggerCaptureOrSwap)</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />is<sp />available<sp />by<sp />the<sp />next<sp />way</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />captureBuf<sp />=<sp /><ref kindref="member" refid="group__group__tcpwm__functions__counter_1gabc22432c63203412232182d676caa149">Cy_TCPWM_Counter_GetCapture0BufVal</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="900" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="889" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="474" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga7a324163e97dfebd080a9bb21a6a38a7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_GetInterruptStatus</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_GetInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns which event triggered the interrupt. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />check<sp />all<sp />the<sp />pending<sp />interrupts<sp />of</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />interrupts<sp />=<sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga7a324163e97dfebd080a9bb21a6a38a7">Cy_TCPWM_GetInterruptStatus</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />the<sp />'interrupts'<sp />contains<sp />all<sp />the<sp />currently<sp />pending<sp />interrupt<sp />masks<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(0UL<sp />!=<sp />(<ref kindref="member" refid="group__group__tcpwm__interrupt__sources_1gab5db2da5edd94851eebb473325dd6324">CY_TCPWM_INT_ON_TC</ref><sp />&amp;<sp />interrupts))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />There<sp />is<sp />a<sp />pending<sp />Terminal<sp />Count<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="935" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="922" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="475" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga0c7a2d667dc983c82327463529f5d283" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ClearInterrupt</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t source)</argsstring>
        <name>Cy_TCPWM_ClearInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>source</declname>
        </param>
        <briefdescription>
<para>Clears Active Interrupt Source. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>source</parametername>
</parameternamelist>
<parameterdescription>
<para>source to clear. See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />inside<sp />the<sp />TCPWM<sp />interrupt<sp />handler<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />all<sp />the<sp />enabled<sp />pending<sp />interrupts<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />interrupts<sp />=<sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gabb00d4f53ff5db82aa6f5e5ae0e79f8a">Cy_TCPWM_GetInterruptStatusMasked</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp />(<ref kindref="member" refid="group__group__tcpwm__interrupt__sources_1gab5db2da5edd94851eebb473325dd6324">CY_TCPWM_INT_ON_TC</ref><sp />&amp;<sp />interrupts))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Handle<sp />the<sp />Terminal<sp />Count<sp />event<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp />(CY_TCPWM_INT_ON_CC<sp />&amp;<sp />interrupts))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Handle<sp />the<sp />Compare/Capture<sp />event<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clear<sp />the<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga0c7a2d667dc983c82327463529f5d283">Cy_TCPWM_ClearInterrupt</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM,<sp />interrupts);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="969" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="957" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="476" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga567d7ae9e63aed64f0c73e45183a4674" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_SetInterrupt</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t source)</argsstring>
        <name>Cy_TCPWM_SetInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>source</declname>
        </param>
        <briefdescription>
<para>Triggers an interrupt via a software write. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>source</parametername>
</parameternamelist>
<parameterdescription>
<para>The source to set an interrupt. See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />set<sp />a<sp />terminal<sp />count<sp />interrupt<sp />by<sp />SW<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />if<sp />the<sp />desired<sp />interrupt<sp />is<sp />enabled<sp />prior<sp />to<sp />triggering<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp />(<ref kindref="member" refid="group__group__tcpwm__interrupt__sources_1gab5db2da5edd94851eebb473325dd6324">CY_TCPWM_INT_ON_TC</ref><sp />&amp;<sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gad1e957bf59ad8dbf62fbcee214825098">Cy_TCPWM_GetInterruptMask</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM)))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga567d7ae9e63aed64f0c73e45183a4674">Cy_TCPWM_SetInterrupt</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM,<sp /><ref kindref="member" refid="group__group__tcpwm__interrupt__sources_1gab5db2da5edd94851eebb473325dd6324">CY_TCPWM_INT_ON_TC</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />terminal<sp />count<sp />interrupt<sp />is<sp />not<sp />enabled,<sp />so<sp />there<sp />is<sp />no<sp />sense<sp />to<sp />trigger<sp />it<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1001" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="991" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="477" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga47ec0d6214c01f67774fb97b9c3f0878" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_SetInterruptMask</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t mask)</argsstring>
        <name>Cy_TCPWM_SetInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>mask</declname>
        </param>
        <briefdescription>
<para>Sets an interrupt mask. </para>        </briefdescription>
        <detaileddescription>
<para>A 1 means that when the event occurs, it will cause an interrupt; a 0 means no interrupt will be triggered.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mask</parametername>
</parameternamelist>
<parameterdescription>
<para>. See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />set<sp />the<sp />Compare/Capture<sp />interrupt<sp />mask<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga47ec0d6214c01f67774fb97b9c3f0878">Cy_TCPWM_SetInterruptMask</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_TCPWM_INT_ON_CC<sp />|<sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gad1e957bf59ad8dbf62fbcee214825098">Cy_TCPWM_GetInterruptMask</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM));</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1034" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1024" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="478" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1gad1e957bf59ad8dbf62fbcee214825098" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_GetInterruptMask</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_GetInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns the interrupt mask. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Interrupt Mask. See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />set<sp />the<sp />Compare/Capture<sp />interrupt<sp />mask<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga47ec0d6214c01f67774fb97b9c3f0878">Cy_TCPWM_SetInterruptMask</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_TCPWM_INT_ON_CC<sp />|<sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gad1e957bf59ad8dbf62fbcee214825098">Cy_TCPWM_GetInterruptMask</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM));</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1070" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1056" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="479" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1gabb00d4f53ff5db82aa6f5e5ae0e79f8a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_GetInterruptStatusMasked</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_GetInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns which masked interrupt triggered the interrupt. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Interrupt Mask. See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />inside<sp />the<sp />TCPWM<sp />interrupt<sp />handler<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_CNT_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />all<sp />the<sp />enabled<sp />pending<sp />interrupts<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />interrupts<sp />=<sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gabb00d4f53ff5db82aa6f5e5ae0e79f8a">Cy_TCPWM_GetInterruptStatusMasked</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp />(<ref kindref="member" refid="group__group__tcpwm__interrupt__sources_1gab5db2da5edd94851eebb473325dd6324">CY_TCPWM_INT_ON_TC</ref><sp />&amp;<sp />interrupts))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Handle<sp />the<sp />Terminal<sp />Count<sp />event<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp />(CY_TCPWM_INT_ON_CC<sp />&amp;<sp />interrupts))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Handle<sp />the<sp />Compare/Capture<sp />event<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clear<sp />the<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1ga0c7a2d667dc983c82327463529f5d283">Cy_TCPWM_ClearInterrupt</ref>(TCPWM0,<sp />MY_TCPWM_CNT_NUM,<sp />interrupts);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1106" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1092" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="480" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1gaafe86ec440bec9a2c23392f289cc3a8b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerStart_Single</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_TriggerStart_Single</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Triggers a software start on the selected TCPWM. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para>TBD </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1136" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1125" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="481" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga710f6bd4caaeda13df9c2ab91b8d1571" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerReloadOrIndex_Single</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_TriggerReloadOrIndex_Single</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Triggers a software reload event (or index0 in QuadDec mode) on selected TCPWM. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para>TBD </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1166" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1155" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="482" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1gad1459b0ddabf388afe151de57f7cf4d4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerStopOrKill_Single</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_TriggerStopOrKill_Single</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Triggers a stop in the Timer Counter mode, or a kill in the PWM mode on selected TCPWM. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para>TBD </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1197" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1186" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="483" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1gadba9d406c3bd2b008aa7bbadcd5f32c2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerCaptureOrSwap_Single</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_TriggerCaptureOrSwap_Single</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Triggers a Capture0 in the Timer Counter mode, and a Swap in the PWM mode on selected TCPWM. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para>TBD </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1228" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1217" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="484" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga8a8b31f18ff10c45b7eacfe9d1c25ddd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerCapture0</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_TriggerCapture0</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Triggers a Capture0 on the selected counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1246" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1243" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="485" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga873ce3820b8532c5d7ab6216dbf33c8a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_TriggerCapture1</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_TriggerCapture1</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Triggers a Capture1 in Timer Counter and QuadDec Mode. </para>        </briefdescription>
        <detaileddescription>
<para>In PWM mode this acts as a second kill input.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1274" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1262" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="486" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga7eebe4a6407ce7d013d24c628758db6e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_TrigStatus</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum, uint32_t triggerSelect)</argsstring>
        <name>Cy_TCPWM_TrigStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>triggerSelect</declname>
        </param>
        <briefdescription>
<para>Returns the current level of the selected trigger. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>triggerSelect</parametername>
</parameternamelist>
<parameterdescription>
<para>Defines which trigger status is being checked, Start, Reload, Stop/Kill, Count, Capture0 or Capture1</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The trigger level</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />there<sp />is<sp />a<sp />need<sp />to<sp />check<sp />current<sp />level<sp />of</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />start<sp />trigger<sp />for<sp />the<sp />first<sp />(index<sp />=<sp />0)<sp />counter<sp />of<sp />the<sp />TCPWM0<sp />block</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />MY_TCPWM_PWM_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__tcpwm__functions__common_1ga7eebe4a6407ce7d013d24c628758db6e">Cy_TCPWM_TrigStatus</ref>(TCPWM0,<sp />MY_TCPWM_PWM_NUM,<sp /><ref kindref="member" refid="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dcae75c3855ed4b926fd65e57c9fcaeba68">CY_TCPWM_INPUT_TR_START</ref>))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />Start<sp />Trigger<sp />level<sp />is<sp />High<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />Start<sp />Trigger<sp />level<sp />is<sp />Low<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1341" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1299" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="487" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1gad2d48d4af03eafea0c103905249e8254" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_InputTriggerSetup</definition>
        <argsstring>(TCPWM_Type *base, uint32 cntNum, cy_en_tcpwm_trigselect_t triggerSelect, uint32_t edgeSelect, uint32_t triggerSignal)</argsstring>
        <name>Cy_TCPWM_InputTriggerSetup</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__tcpwm__enums_1ga17d594ed5788e1fc2de2eae9982fc9dc">cy_en_tcpwm_trigselect_t</ref></type>
          <declname>triggerSelect</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>edgeSelect</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>triggerSignal</declname>
        </param>
        <briefdescription>
<para>Sets up a trigger input signal for a specific TCPWM counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>triggerSelect</parametername>
</parameternamelist>
<parameterdescription>
<para>Defines which trigger is being setup, Start, Reload, Stop/Kill, Count, Capture0 or Capture1 see cy_en_tcpwm_trigselect_t</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>edgeSelect</parametername>
</parameternamelist>
<parameterdescription>
<para>Sets the trigger edge detection, Rising, Falling, Both, No edge detect. see <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>triggerSignal</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects what trigger signal is connected to the selected input trigger.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Start<sp />multiple<sp />counters<sp />synchronously</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />GRP0_CNT0_NUM<sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />GRP0_CNT1_NUM<sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />GRP0_CNT2_NUM<sp /><sp /><sp />(2UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />TCPWM0_TR_IN0<sp /><sp /><sp />(0x40000200u)<sp /></highlight><highlight class="comment">/*<sp />tcpwm[0].tr_in[0]<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />up<sp />input<sp />trigger<sp />start<sp />for<sp />all<sp />3<sp />counters<sp />to<sp />CY_TCPWM_INPUT_TRIG_1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gad2d48d4af03eafea0c103905249e8254">Cy_TCPWM_InputTriggerSetup</ref>(TCPWM0,<sp />GRP0_CNT0_NUM,<sp /><ref kindref="member" refid="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dcae75c3855ed4b926fd65e57c9fcaeba68">CY_TCPWM_INPUT_TR_START</ref>,<sp /><ref kindref="member" refid="group__group__tcpwm__input__modes_1ga6f8ffc8c36941d7d44290147032fd33b">CY_TCPWM_INPUT_LEVEL</ref>,<sp /><ref kindref="member" refid="group__group__tcpwm__input__selection_1gaae060090a4a95ad4b6ae724c715effa9">CY_TCPWM_INPUT_TRIG_1</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gad2d48d4af03eafea0c103905249e8254">Cy_TCPWM_InputTriggerSetup</ref>(TCPWM0,<sp />GRP0_CNT1_NUM,<sp /><ref kindref="member" refid="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dcae75c3855ed4b926fd65e57c9fcaeba68">CY_TCPWM_INPUT_TR_START</ref>,<sp /><ref kindref="member" refid="group__group__tcpwm__input__modes_1ga6f8ffc8c36941d7d44290147032fd33b">CY_TCPWM_INPUT_LEVEL</ref>,<sp /><ref kindref="member" refid="group__group__tcpwm__input__selection_1gaae060090a4a95ad4b6ae724c715effa9">CY_TCPWM_INPUT_TRIG_1</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__tcpwm__functions__common_1gad2d48d4af03eafea0c103905249e8254">Cy_TCPWM_InputTriggerSetup</ref>(TCPWM0,<sp />GRP0_CNT2_NUM,<sp /><ref kindref="member" refid="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dcae75c3855ed4b926fd65e57c9fcaeba68">CY_TCPWM_INPUT_TR_START</ref>,<sp /><ref kindref="member" refid="group__group__tcpwm__input__modes_1ga6f8ffc8c36941d7d44290147032fd33b">CY_TCPWM_INPUT_LEVEL</ref>,<sp /><ref kindref="member" refid="group__group__tcpwm__input__selection_1gaae060090a4a95ad4b6ae724c715effa9">CY_TCPWM_INPUT_TRIG_1</ref>);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Trigger<sp />through<sp />Software<sp />to<sp />start<sp />all<sp />3<sp />counters<sp />synchronously<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref>(TCPWM0_TR_IN0,<sp /><ref kindref="member" refid="group__group__trigmux__macros_1ga9347a341f6903dee749841fae0dcb4a5">CY_TRIGGER_TWO_CYCLES</ref>);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1420" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1369" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="488" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__common_1ga03bd95ef7188f3da6f51e043e2bbd1ea" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__tcpwm__enums_1ga236beaba02c8a2a1c4eec981501e7270">cy_en_tcpwm_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_tcpwm_status_t Cy_TCPWM_SetDebugFreeze</definition>
        <argsstring>(TCPWM_Type *base, uint32 cntNum, bool enable)</argsstring>
        <name>Cy_TCPWM_SetDebugFreeze</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enables/disables the Debug Freeze feature for the specified counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>enable</parametername>
</parameternamelist>
<parameterdescription>
<para>true: The Debug Free feature is enabled false: The Debug Freeze feature is disabled</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Error / Status code. See cy_en_tcpwm_status_t.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para>TBD </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1459" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="1446" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="489" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>